Javascript Project Selection

2009-11-14 15:40 - Alex Bevilacqua

Status: Closed Start date: 2009-11-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

This is a quick patch to make the project selection a javascript dropdown.This is inspired a bit by http://guides.rubyonrails.org, and

how they've laid out the guide index.

This is more a proof-of-concept than anything, as there are still a few things to do to make this "production-ready".

1. Convert this from jQuery to Prototype, seeing as there's no jQuery being used in Redmine (afaik)

2. move the initialization block from the base.rhtml file to an included javascript file

3. clean up the display a bit so it's "prettier"

 

Related issues:

Related to Redmine - Feature #23310: Improved "jump to project" drop-down Closed

History

#1 - 2009-11-19 20:35 - Jean-Philippe Lang

- Category set to UI

#2 - 2016-07-18 05:48 - Go MAEDA

- Related to Feature #23310: Improved "jump to project" drop-down added

#3 - 2016-12-23 11:20 - Go MAEDA

- Status changed from New to Closed

"Jump to project" drop-down was replaced with Javascript based drop-down by #23310.

I think this issue can be closed.

Files

jquery.hoverintent.js 1.57 KB 2009-11-14 Alex Bevilacqua

jquery.js 55.9 KB 2009-11-14 Alex Bevilacqua

css-project-dropdown.diff 4.36 KB 2009-11-14 Alex Bevilacqua

Screenshot.png 28.8 KB 2009-11-14 Alex Bevilacqua
